Skip to main content
GET
/
v1
/
organizations
/
billing
/
balance
Get Credit Balance
curl --request GET \
  --url https://api.mixpeek.com/v1/organizations/billing/balance \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.mixpeek.com/v1/organizations/billing/balance"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.mixpeek.com/v1/organizations/billing/balance', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "organization_id": "<string>",
  "credit_balance": 123,
  "account_tier": "<string>",
  "next_tier": "pro",
  "credits_until_next_tier": 954770,
  "estimated_days_remaining": 15,
  "daily_burn_rate": 0
}
{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}
{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}
{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}
{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}
{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

Successful Response

Response with current credit balance and tier information.

organization_id
string
required

Organization identifier

Example:

"org_demo123"

credit_balance
integer
required

Current credit balance. For FREE tier without auto-billing, this is remaining free tier credits. For auto-billing accounts, this shows current month usage (negative indicates consumption).

Examples:

45230

750

account_tier
string
required

Current account tier: free, pro, team, enterprise

Examples:

"free"

"pro"

"team"

next_tier
string | null

Next available tier or null if at max tier

Example:

"pro"

credits_until_next_tier
integer | null

Credits needed to reach next tier (null if at max tier or N/A)

Example:

954770

estimated_days_remaining
integer | null

Estimated days until credits depleted based on 7-day burn rate. Null if no usage history or unlimited (auto-billing enabled).

Example:

15

daily_burn_rate
number
default:0

Average credits consumed per day (7-day rolling average)

Examples:

3015.3

142.5